var gameabc_face = gameabc_face||{};
{	
gameabc_face.tag=12;  //定义你的游戏全局内存	
gameabc_face.tag1=123;//定义你的游戏全局内存	
gameabc_face.tag2=123;//定义你的游戏全局内存	
gameabc_face.tag3=123;//定义你的游戏全局内存
gameabc_face.dfwgao=1;	
}

gameabc_face.gamestart=function(gameid)
{
//游戏初始化代码
	
	Logic.AppStart();
	
};

gameabc_face.ani_doend=function(id,sx,count,allend)
{
	//logmessage(id+"/"+sx+"/"+count+"/"+allend);
	//play_ani(0,2,18,50,200,0,1000,0,0,0,0,6000,1);//主动关闭
	GameUI.utlani_doend(id,sx,count,allend);
	gameCombat.utlani_doend(id,sx,count,allend);
	gamehall_GameUI.utlani_doend(id,sx,count,allend);
};

gameabc_face.box_doend=function(id,sx,timelen)
{
	//play_box 结束事件
	//showmessage("box_doend:"+id+"/"+sx+"/"+timelen);
	//logmessage("box_doend:"+id+"/"+sx+"/"+timelen);
};

gameabc_face.onloadurl=function(recid,rectype,url,error,count,len)
{

	GameUI.onloadurl(recid,rectype,url,error,count,len);
	gamehall_GameUI.onloadurl(recid,rectype,url,error,count,len);
		
};

gameabc_face.chongzhi=function(userid,zt,data)
{
//游戏接口代码		
	
};

gameabc_face.onresize=function(pmw/*屏幕宽*/,pmh/*屏幕宽*/,sjweww/*设计宽*/,sjnewh/*设计宽*/,nweww/*显示宽*/,newh/*显示高*/)
{
	
	//屏幕变化
	// 在此调整 列表控件的宽高和区域 不是整体缩放	
	//logmessage("onresize:"+pmw+"/"+pmh+"/"+sjweww+"/"+sjnewh+"/"+nweww+"/"+newh);
};

gameabc_face.gamebegindraw=function(gameid, spid, times, timelong)
{
	//更新开始代码
	GameUI.utlgamebegindraw(gameid, spid, times, timelong);
	gamehall_GameUI.utlgamebegindraw(gameid, spid, times, timelong);
};
gameabc_face.gameenddraw=function(gameid, spid, times, timelong)
{
//更新完成代码
	GameUI.gameenddraw(gameid, spid, times, timelong);
};

gameabc_face.mousedown=function(gameid, spid, downx, downy, no1, no2, no3, no4, no5, no6)
{

	//点击代码
	GameUI.utlmousedown(gameid, spid, downx, downy, no1, no2, no3, no4, no5, no6);
	Game_Modify.utlmousedown(gameid, spid, downx, downy, no1, no2, no3, no4, no5, no6);
	gameCombat.utlmousedown(gameid, spid, downx, downy, no1, no2, no3, no4, no5, no6);
	gamehall_GameUI.utlmousedown(gameid, spid, downx, downy, no1, no2, no3, no4, no5, no6);
};

gameabc_face.mousedown_nomove=function(gameid, spid, downx, downy, timelong, no1, no2, no3, no4, no5)
{
//点击代没移动代码
	GameUI.utlmousedown_nomove(gameid, spid, downx, downy, timelong, no1, no2, no3, no4, no5);
	Game_Modify.utlmousedown_nomove(gameid, spid, downx, downy, timelong, no1, no2, no3, no4, no5);
	gamehall_GameUI.utlmousedown_nomove(gameid, spid, downx, downy, timelong, no1, no2, no3, no4, no5);
};

gameabc_face.mouseup=function(gameid,  spid_down,  downx,  downy,  spid_up,  upx,  upy,  timelong,  no1,  no2)
{
//点击弹起代码
//可以通过spid_down和spid_up 的比较 来判断是 点击还是 移动
	GameUI.utlmouseup(gameid,  spid_down,  downx,  downy,  spid_up,  upx,  upy,  timelong,  no1,  no2);
	Game_Modify.mouseup(gameid,  spid_down,  downx,  downy,  spid_up,  upx,  upy,  timelong,  no1,  no2);
	gameCombat.utlmouseup(gameid,  spid_down,  downx,  downy,  spid_up,  upx,  upy,  timelong,  no1,  no2);
	gamehall_GameUI.utlmouseup(gameid,  spid_down,  downx,  downy,  spid_up,  upx,  upy,  timelong,  no1,  no2);
};

gameabc_face.mousemove=function(gameid, spid, downx, downy, movex,movey ,timelong,offmovex, offmovey, no1)
{
//点击后移动代码


    GameUI.utlmousemove(gameid, spid, downx, downy, movex,movey ,timelong,offmovex, offmovey, no1);
    Game_Modify.utlmousemove(gameid, spid, downx, downy, movex,movey ,timelong,offmovex, offmovey, no1);
    gameCombat.utlmousemove(gameid, spid, downx, downy, movex,movey ,timelong,offmovex, offmovey, no1);
    gamehall_GameUI.utlmousemove(gameid, spid, downx, downy, movex,movey ,timelong,offmovex, offmovey, no1);
};

gameabc_face.gamemydraw=function(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7)
{
 //每个精灵更新绘画代码
	GameUI.utlgamemydraw(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	Game_Modify.gamemydraw(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	gameCombat.utlgamemydraw(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	gamehall_GameUI.utlgamemydraw(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
};

gameabc_face.gamemydrawbegin=function(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7)
{
//每个精灵更新前绘画代码
	GameUI.utlgamemydrawbegin(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	Game_Modify.utlgamemydrawbegin(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	gameCombat.utlgamemydrawbegin(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
	gamehall_GameUI.utlgamemydrawbegin(gameid, spid, times, timelong, no2, no3, no4, no5, no6, no7);
};

gameabc_face.ontimer= function(gameid, spid, /* 本次间隔多少次了 */ times, /* 本次间隔多久 */ timelong,/* 开启后运行多少次了 */ alltimes){


	GameUI.utlontimer(gameid, spid, /* 本次间隔多少次了 */ times, /* 本次间隔多久 */ timelong,/* 开启后运行多少次了 */ alltimes);
	gamehall_GameUI.utlontimer(gameid, spid, /* ???????? */ times, /* ?????? */ timelong,/* ????????? */ alltimes);
};

gameabc_face.tcpconnected=function(tcpid)
{

};
gameabc_face.tcpmessage=function(tcpid,data)
{	
;
	
};

gameabc_face.tcpdisconnected=function(tcpid)
{

	
	
};
gameabc_face.tcperror=function(tcpid,data)
{

	
};

gameabc_face.httpmessage=function(myid,url,data)
{

	
};














































































































